Summary:        Unit testing framework for Lua
Name:           lua-lunitx
Version:        0.8.1
Release:        4%{?dist}
License:        MIT
URL:            https://github.com/dcurrie/lunit/
Source0:        https://github.com/dcurrie/lunit/archive/%{version}.tar.gz#/lunitx-%{version}.tar.gz

BuildRequires:  lua-devel >= 5.2
Provides:       lua-lunit = %{version}-%{release}

BuildArch:      noarch

%description
This package provides an extended version of Lunit for Lua 5.2/5.3/5.4. Lunit is a unit testing 
framework for lua.


%prep
%autosetup -n lunit-%{version}


%install
mkdir -p %{buildroot}%{_bindir}
cp -p extra/lunit.sh %{buildroot}%{_bindir}/lunit

mkdir -p %{buildroot}%{lua_pkgdir}
cp -pr lua/* %{buildroot}%{lua_pkgdir}


%check
# without --dontforce, lunit will try to load its launcher
LUA_PATH='%{buildroot}%{lua_pkgdir}/?.lua;;' %{buildroot}%{_bindir}/lunit --dontforce test/selftest.lua


%files
%license LICENSE
%doc ANNOUNCE CHANGES DOCUMENTATION examples README*
%{_bindir}/lunit
%{lua_pkgdir}/*


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.1-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Mar 22 2023 Wang Guodong <gordonwwang@tencent.com> - 0.8.1-1
- initial build
